<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

Hook::call('admin_before');

LabCMS::i()->setAdminSkin();

$main=Factory::create('admin.main');

$action='main';
if (isset($_GET['action']) && is_callable(array($main, $_GET['action']))) $action=$_GET['action'];
call_user_func(array($main, $action));

Hook::call('admin_after');
